#!/usr/bin/python

import os
import sys
import re

if len(sys.argv) < 7:
	print "usage: " + sys.argv[0] + " <oldmin> <oldmax> <newmin> <newmax> <in file> <out file>"
	exit(0)

oldmin = int(sys.argv[1])
oldmax = int(sys.argv[2])
newmin = int(sys.argv[3])
newmax = int(sys.argv[4])
inputname = sys.argv[5]
outputname = sys.argv[6]

oldrange = oldmax - oldmin
newrange = newmax + 0.999999999 - newmin

try:
	infile = open(inputname, 'r')
except:
	print "Couldn't read " + inputname
	exit(-1)

outfile = open(outputname, 'w')

def normalize(match):
	"normalize the number in match to the range of newmin, newmax"
	value = int(match.group())
#	print str(value - oldmin),
#	print " / ",
#	print oldrange,
#	print " * ",
#	print newrange,
#	print " + ",
#	print newmin,
#	print " = ",
#	print str(int(float(value - oldmin) / oldrange * newrange + newmin))
	return str(int(float(value - oldmin) / oldrange * newrange + newmin))

digre = re.compile(r'\d+')

for line in infile:
	outfile.write(digre.sub(normalize, line))

